Subject: Re: [ANNOUNCE] tig-0.10

From: Jonas Fonseca <[email-masked]>
Date: Mon, 17 Mar 2008 12:28:25 +0100

Junio C Hamano <[email-masked]> wrote Mon, Mar 17, 2008:
> Jonas Fonseca <[email-masked]> writes:
> > I am not sure I understand. As far as I know, tig does not require
> > autoreconf unless you have cloned the repository and want to bootstrap
> > the configure script.
> 
> Yeah, but that was exactly what your announcement suggested to.  Show
> Tarball and Gitfeed alternatives to a git person, who already has a clone
> of the project, and guess which one he would go ;-).
> 
> Also INSTALL file begins with:
> 
> [...]

Ok, I will try to make it more clear that usage of configure (and
autoreconf) is optional.

> By the way, it would be nice if someday I can get tig work with CJK.
> Perhaps I need to tweak something in ncurses?

I will make it a priority to fix this shortcoming. Until then you can
improve the situation by linking with the ncursesw library. At least the
diff view and names in the commit listing will be properly displayed.

diff --git a/Makefile b/Makefile
index 575c5bf..e57ae6a 100644
--- a/Makefile
+++ b/Makefile
@@ -32,7 +32,7 @@ RPM_VERLIST = $(filter-out g% dirty,$(subst -, ,$(VERSION))) 0
 RPM_VERSION = $(word 1,$(RPM_VERLIST))
 RPM_RELEASE = $(word 2,$(RPM_VERLIST))$(if $(WTDIRTY),.dirty)
 
-LDLIBS ?= -lcurses
+LDLIBS ?= -lncursesw
 CFLAGS ?= -Wall -O2
 DFLAGS	= -g -DDEBUG -Werror
 PROGS	= tig

-- 
Jonas Fonseca